Process pending billing
Discovers customers due for billing at the org's current (simulated) time and enqueues a billing cycle for each — renewals, expired trials, pending cancellations. Enqueueing is asynchronous. Sandbox only.
Discovers customers due for billing at the org's current (simulated) time and enqueues a billing cycle for each — renewals, expired trials, pending cancellations. Enqueueing is asynchronous. Sandbox only.
application/json
application/json
curl -X POST "https://commet.co/api/v1/test-clock/process-billing"Discovers customers due for billing at the org's current (simulated) time and enqueues a billing cycle for each — renewals, expired trials, pending cancellations. Enqueueing is asynchronous. Sandbox only.
{
"success": true,
"data": {
"livemode": true,
"customersFound": 0,
"enqueued": 0,
"failed": 0
}
}{
"success": false,
"error": {
"type": "validation_error",
"code": "string",
"message": "string",
"doc_url": "string",
"param": "string"
}
}{
"success": false,
"error": {
"type": "validation_error",
"code": "string",
"message": "string",
"doc_url": "string",
"param": "string"
}
}